Package ch.qos.logback.classic.db.names

## Enum TableName

- java.lang.Object
- - java.lang.Enum<TableName>
  - - ch.qos.logback.classic.db.names.TableName

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TableName>`

    public enum TableName
    extends java.lang.Enum<TableName>

Since:
  0.9.19
Author:
  Tomasz Nurkiewicz

### Enum Constant Summary

Enum Constants
`LOGGING_EVENT`
`LOGGING_EVENT_EXCEPTION`
`LOGGING_EVENT_PROPERTY`

### Method Summary

All Methods Static Methods Concrete Methods
`static TableName` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TableName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOGGING_EVENT

    public static final TableName LOGGING_EVENT

#### LOGGING_EVENT_PROPERTY

    public static final TableName LOGGING_EVENT_PROPERTY

#### LOGGING_EVENT_EXCEPTION

    public static final TableName LOGGING_EVENT_EXCEPTION

### Method Detail

#### values

    public static TableName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TableName c : TableName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TableName valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null